---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab variable export`

Export variables from a project or group.

```plaintext
glab variable export [flags]
```

## Aliases

```plaintext
ex
```

## Examples

```plaintext
glab variable export
glab variable export --per-page 1000 --page 1
glab variable export --group gitlab-org
glab variable export --group gitlab-org --per-page 1000 --page 1

```

## Options

```plaintext
  -F, --format string     Format of output: json, export, env. (default "json")
  -g, --group string      Select a group or subgroup. Ignored if a repository argument is set.
  -p, --page int          Page number. (default 1)
  -P, --per-page int      Number of items to list per page. (default 100)
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```

## Options inherited from parent commands

```plaintext
      --help   Show help for this command.
```
